CUDNN Frontend API 8.3.0

Static Public Member Functions | List of all members
nlohmann::detail::external_constructor< value_t::object > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::external_constructor< value_t::object >:

## Static Public Member Functions
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, const typename BasicJsonType::object_t &obj)
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, typename BasicJsonType::object_t &&obj)
template<typename BasicJsonType , typename CompatibleObjectType , enable_if_t< !std::is_same< CompatibleObjectType, typename BasicJsonType::object_t >::value, int > = 0>
static void | construct (BasicJsonType &j, const CompatibleObjectType &obj)

## Detailed Description

### template<>
struct nlohmann::detail::external_constructor< value_t::object >

Definition at line 4646 of file json.hpp.

## Member Function Documentation

## ◆ construct() [1/3]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::object >::construct | ( | BasicJsonType & | j,
|  | const typename BasicJsonType::object_t & | obj
| ) |  |
| inlinestatic

Definition at line 4649 of file json.hpp.

References nlohmann::detail::object.

## ◆ construct() [2/3]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::object >::construct | ( | BasicJsonType & | j,
|  | typename BasicJsonType::object_t && | obj
| ) |  |
| inlinestatic

Definition at line 4658 of file json.hpp.

References nlohmann::detail::object.

## ◆ construct() [3/3]

template<typename BasicJsonType , typename CompatibleObjectType , enable_if_t< !std::is_same< CompatibleObjectType, typename BasicJsonType::object_t >::value, int > = 0>

static void nlohmann::detail::external_constructor< value_t::object >::construct | ( | BasicJsonType & | j,
|  | const CompatibleObjectType & | obj
| ) |  |
| inlinestatic

Definition at line 4668 of file json.hpp.

References nlohmann::detail::object.

The documentation for this struct was generated from the following file:

- json.hpp